Skip to main content
GET
List videos
Requires workspace preview access. See Video and batch jobs for setup, webhooks, and result handling.

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

limit
integer

Maximum number of video jobs to return. Defaults to 50 and caps at 200.

Required range: 1 <= x <= 200
status
string[]

Video lifecycle status filter. Repeat the parameter or provide comma-separated values.

offset
integer

Number of video jobs to skip before returning the page.

Required range: 0 <= x <= 10000
after
string

Return video jobs after this video ID in the selected order.

order
enum<string>

Sort video jobs by creation time.

Available options:
asc,
desc

Response

200 - application/json

Video list response

object
string
Example:

"list"

data
object[]
first_id
string | null
last_id
string | null
has_more
boolean
Last modified on October 18, 2026